VIDCONTROL(1)

NAME
vidcontrol - a utility for manipulating the syscons video driver.

SYNOPSIS
vidcontrol options ...

DESCRIPTION
The vidcontrol command is used to set various options for the syscons video driver, such as video mode, colors, cursors, scrnmaps, font and screensaver timeout.

A new video mode is selected by specifying its name as an argument to vidcontrol. For example:

    vidcontrol VGA_80x25

The modes currently supported: VGA_40x25, VGA_80x25, VGA_80x50, EGA_80x25, EGA_80x43. On some laptops the modes VGA_80x30 and VGA_80x60 can be used. The graphic mode VGA_320x200 can also be chosen.

The colors used when displaying text can be changed by specifying the foreground color (e.g. "vidcontrol white"), or both a foreground & background color (e.g. "vidcontrol yellow blue").

To see the supported colors on a given platform use "vidcontrol show".

The following command line options are supported:

-r foreground background
    Change reverse mode colors to foreground and background

-b color
    Set border color to color (only supported on VGA hardware).

-c normal|blink|destructive
    Change the cursor appearance. The cursor is either an inverting block (normal) that eventually can "blink". Or it can be like the old hardware cursor (destructive). The latter is actually a simulation.

-d  Print out current screen output map.

-l scrmap
    Install screen output map file from scrmap

-L  Install default screen output map.

-m on|off
    Switches the mousepointer on or off. Used together with the moused daemon for textmode cut & paste functionality.

-f size file
    Load font file for size (currently, only 8x8, 8x14 or 8x16). The fontfile can be either uuencoded or in raw binary format.

-s Number
    Sets the current vty to Number.

-t N|off
    Sets the screensaver timeout to N seconds, or turns it off.

-x  Use hexadecimal digits for output.

FILES
/usr/share/syscons/fonts
/usr/share/syscons/scrnmaps

SEE ALSO
kbdcontrol(1), keyboard(4), screen(4)

AUTHORS
Søren Schmidt (sos@FreeBSD.org)